Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.server.integrated
Class IntegratedPlayerList

    java.lang.Object
      net.minecraft.server.management.ServerConfigurationManager
          net.minecraft.server.integrated.IntegratedPlayerList

    public class IntegratedPlayerList

extends ServerConfigurationManager

Field Summary

Fields inherited from class net.minecraft.server.management.ServerConfigurationManager
`logger, playerEntityList`

Constructor Summary
`IntegratedPlayerList(IntegratedServer par1IntegratedServer)`

Method Summary
`String` | `allowUserToConnect(SocketAddress par1SocketAddress, String par2Str)` checks ban-lists, then white-lists, then space for the server.
`IntegratedServer` | `getIntegratedServer()` get the associated Integrated Server
`MinecraftServer` | `getServerInstance()`
`NBTTagCompound` | `getTagsFromLastWrite()` gets the tags created in the last writePlayerData call

Methods inherited from class net.minecraft.server.management.ServerConfigurationManager
`addOp, addToWhiteList, areCommandsAllowed, createPlayerForUser, findPlayers, func_72375_a, func_92027_k, getAllUsernames, getAvailablePlayerDat, getBannedIPs, getBannedPlayers, getCurrentPlayerCount, getEntityViewDistance, getMaxPlayers, getOps, getPlayerForUsername, getPlayerList, getPlayerListAsString, getViewDistance, getWhiteListedPlayers, initializeConnectionToPlayer, isAllowedToLogin, isWhiteListEnabled, loadWhiteList, playerLoggedIn, playerLoggedOut, readPlayerDataFromFile, removeAllPlayers, removeFromWhitelist, removeOp, respawnPlayer, saveAllPlayerData, sendPacketToAllPlayers, sendPacketToAllPlayersInDimension, sendPlayerInfoToAllPlayers, sendToAllNear, sendToAllNearExcept, serverUpdateMountedMovingPlayer, setCommandsAllowedForAll, setGameType, setPlayerManager, setWhiteListEnabled, syncPlayerInventory, transferEntityToWorld, transferEntityToWorld, transferPlayerToDimension, transferPlayerToDimension, updateTimeAndWeatherForPlayer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegratedPlayerList

    public IntegratedPlayerList(IntegratedServer par1IntegratedServer)

Method Detail

### allowUserToConnect

    public String allowUserToConnect(SocketAddress par1SocketAddress,
                                     String par2Str)

  checks ban-lists, then white-lists, then space for the server. Returns null on success, or an error message

  Overrides:
    `allowUserToConnect` in class `ServerConfigurationManager`

### getIntegratedServer

    public IntegratedServer getIntegratedServer()

  get the associated Integrated Server

### getTagsFromLastWrite

    public NBTTagCompound getTagsFromLastWrite()

  gets the tags created in the last writePlayerData call

  Overrides:
    `getTagsFromLastWrite` in class `ServerConfigurationManager`

### getServerInstance

    public MinecraftServer getServerInstance()

  Overrides:
    `getServerInstance` in class `ServerConfigurationManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD